lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dkdeploy/rails/version'

Gem::Specification.new do |spec|
  spec.name          = 'dkdeploy-rails'
  spec.version       = Dkdeploy::Rails::Version
  spec.license       = 'MIT'
  spec.authors       = ['Nicolai Reuschling', 'Michael Skrynski']
  spec.email         = ['nicolai.reuschling@dkd.de', 'michael.skrynski@dkd.de']
  spec.description   = 'dkd Rails deployment tasks and strategies'
  spec.summary       = 'dkd Rails deployment tasks and strategies'
  spec.homepage      = 'https://redmine.dkd.de/projects/dkdeploy/wiki'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'pry', '~> 0.14'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'rubocop',  '~> 1.12'

  spec.add_dependency 'dkdeploy-core', '~> 10.0'
  spec.add_dependency 'capistrano-rails', '~> 1.6'
  spec.add_dependency 'capistrano-passenger', '~> 0.2'
end
